
Redmine - Feature #31026

Upgrade to Rails 5.2.2.1

2019-03-13 21:12 - Jared Fine

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 4.0.3   

Resolution: Fixed   

Description

https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/

Rails 4.2.11.1, 5.0.7.2, 5.1.6.2, 5.2.2.1, and 6.0.0.beta3 have been released! These contain the following important security

fixes. It is recommended that users upgrade as soon as possible:

 Current Rails versions:

4.0.2 (2019-02-21) is using Rails 5.2.2 (https://svn.redmine.org/redmine/tags/4.0.2/Gemfile)

3.4.9 (2019-02-21) is using Rails 4.2.11 (https://svn.redmine.org/redmine/tags/3.4.9/Gemfile)

It might be helpful to allow patch version upgrades (`~>`) so in cases like this users of Redmine could `bundle update rails` to get the

latest versions before an official update of Redmine is available.

Related issues:

Copied to Redmine - Feature #31027: Upgrade to Rails 4.2.11.1 Closed

Associated revisions

Revision 17943 - 2019-03-14 01:21 - Go MAEDA

Upgrade to Rails 5.2.2.1 (#31026).

Revision 17944 - 2019-03-14 01:24 - Go MAEDA

Merged r17943 from trunk to 4.0-stable (#31026).

History

#1 - 2019-03-14 00:24 - Go MAEDA

- Copied to Feature #31027: Upgrade to Rails 4.2.11.1 added

#2 - 2019-03-14 00:27 - Go MAEDA

- Subject changed from Bump Rails version due to vulnerability  to Upgrade to Rails 5.2.2.1

- Category changed from Security to Rails support

- Target version set to 4.0.3

#3 - 2019-03-14 01:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Thank you for sharing the news. I have upgraded the Rails version in each branch.
